using Edu.Education.Helper;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.Linq;
using System.ServiceProcess;
using System.Text;
using System.Threading.Tasks;

namespace Edu.Education
{
    partial class EducationTimerServer : ServiceBase
    {
        public EducationTimerServer()
        {
            InitializeComponent();
        }

        /// <summary>
        ///  在此处添加代码以启动服务。
        /// </summary>
        /// <param name="args"></param>
        protected override void OnStart(string[] args)
        {
            new QuarzHelper().TeachingPerfTimer().GetAwaiter().GetResult();
            new QuarzHelper().OKRPeriodTimer().GetAwaiter().GetResult();
            new QuarzHelper().OKRPeriodRuleTimer().GetAwaiter().GetResult();
            new QuarzHelper().RevenueReportTimer().GetAwaiter().GetResult();
            new QuarzHelper().WeXinMediumTimer().GetAwaiter().GetResult();//企业微信定时上传文件  2021-08-09
            new QuarzHelper().WeXinChannelTimer().GetAwaiter().GetResult();//企业微信定时渠道码更新  2021-08-20
            //new QuarzHelper().EduB2BOrderCancelTimer().GetAwaiter().GetResult();//教育同业订单超时取消  (2022-01-25 暂屏蔽)
            //new QuarzHelper().EduB2BOrderCommissionTimer().GetAwaiter().GetResult();//教育同业订单返佣   (2022-01-25 暂屏蔽)
            new QuarzHelper().EduCreateScrollClassTimer().GetAwaiter().GetResult();//滚动开班  
            new QuarzHelper().EduCreateScrollAppointmentTimer().GetAwaiter().GetResult();//预约课程
            new QuarzHelper().CheckPerparingTimer().GetAwaiter().GetResult();
        }

        /// <summary>
        /// 在此处添加代码以执行停止服务所需的关闭操作。
        /// </summary>
        protected override void OnStop()
        {
        }
    }
}
